com.singularsys.jep.misc.functions

## Class LogTwoArg

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.BinaryFunction
    - - com.singularsys.jep.misc.functions.LogTwoArg

- All Implemented Interfaces:
    PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

      public class LogTwoArg
      extends BinaryFunction
      implements RealBinaryFunction

  Logarithm function where the base is specified in the second argument.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogTwoArg()` Defaults constructor, negative real arguments result in complex results.
    `LogTwoArg(boolean strict)` Constructor specifying treatment of negative real values

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
    `double` | `evaluate(double l, double r)`
    `java.lang.Object` | `log(java.lang.Object param, java.lang.Object base)`

    - ### Methods inherited from class com.singularsys.jep.functions.BinaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogTwoArg

          public LogTwoArg(boolean strict)

      Constructor specifying treatment of negative real values
      Parameters:
        `strict` - if true negative real arguments return NaN, otherwise complex results are returned

    - #### LogTwoArg

          public LogTwoArg()

      Defaults constructor, negative real arguments result in complex results.

  - ### Method Detail

    - #### eval

          public java.lang.Object eval(java.lang.Object l,
                                       java.lang.Object r)
                                throws EvaluationException

      Specified by:
        `eval` in class `BinaryFunction`
      Throws:
        `EvaluationException`

    - #### log

          public java.lang.Object log(java.lang.Object param,
                                      java.lang.Object base)
                               throws EvaluationException

      Throws:
        `EvaluationException`

    - #### evaluate

          public double evaluate(double l,
                                 double r)

      Specified by:
        `evaluate` in interface `RealBinaryFunction`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep